Subject: [mpls-tp] 1. Router Alert comments for "Return path specified LSP ping" draft

From: MachChen 55527 <[email-masked]>
Date: Tue, 28 Jul 2009 20:54:04 +0800

Hi George,

Thanks for the comments you pointed out at the first MPLS session, since the time limitation, we could not discuss it in detail at the meeting. You pointed out three comments, I'd like to response them one by one in seperate email. This eamil is about your first comment.

If my memory is accurate, you pointed out router alert mechanism of LSP ping could resolve the issues raised in the draft, am I right? 

There are two issues that our draft tries to resolve:
1. Current LSP Ping mechanisms are lack of the capability of specifying the return path of an echo reply, hence some time it may bring difficuties in faults localization. 
2. A bidirectional path checking needs at least two LSP pings(inefficient), and sometime difficut even fail to check the reverse direction of a bidirectional path. 

Reply via an IPv4/IPv6 packet with Router Alert mode defined in Section 3 of RFC4379, it says:
"If the normal IP return path is deemed unreliable, one may use 3 (Reply via an IPv4/IPv6 UDP packet with Router Alert).  Note that this requires that all intermediate routers understand and know how to forward MPLS echo replies."

Based on above text, it seems that the echo reply only could be forwarded along IP path, but in our draft, we state that sometime the operator wants the echo reply to be sent along a specified MPLS LSP hence to make sure some sumises. And with this router alert mechanism, it can't resolve the second issue listed above yet. By the way, all intermediate routers required to know how to forward MPLS echo replies is a rigorous requirement and ma
y not always be satisfy.

Best regards,

Mach Chen

PS: 
You could reach the draft by:
http://tools.ietf.org/id/draft-chen-mpls-return-path-specified-lsp-ping-00.txt